import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { _NSObject } from "../Foundation/NSObject.js";
export declare class _MTLRasterizationRateSampleArray extends _NSObject {
    static alloc(): _MTLRasterizationRateSampleArray;
    static new(): _MTLRasterizationRateSampleArray;
    init(): _MTLRasterizationRateSampleArray;
    /**
     * @method objectAtIndexedSubscript: @abstract Retrieves the sample value at the specified index. @return NSNumber instance describing the value of the sample at the specified index, or 0 if the index is out of range.
     */
    objectAtIndexedSubscript$(index: number): _NSNumber;
    /**
     * @method setObject:atIndexedSubscript: @abstract Stores a sample value at the specified index. @discussion The value will be converted to a single precision floating point value.
     */
    setObject$atIndexedSubscript$(value: _NSNumber, index: number): void;
}
